@extends('main.layout')

@section('content')

    <section>
        <h1>{{$cinema->cinema_name}}</h1>
        <hr/>
        <div id="cinema">
            <div class="details">
                <span>{{$cinema->address->string()}}</span><br/>
                <span>{{$cinema->cinema_open}} - {{$cinema->cinema_close}}</span>
            </div>
        </div>
    </section>

    <section>
        <h1>Now playing:</h1>
        <hr/>
        <div id="showings">
            @foreach($cinema->showings as $showing)
                <a href="/showing/{{$showing->showing_id}}">
                    <x-cache-image src="{{$showing->movie->movie_image}}" alt="{{$showing->movie->movie_name}} Poster" class="poster" width="200px"/>
                    <div class="details">
                        <span>{{$showing->movie->movie_name}}</span><br/>
                        <span>{{$showing->showing_date}}</span><br/>
                        <span>{{$showing->showing_time}}</span>
                    </div>
                </a>
            @endforeach
        </div>
    </section>

@endsection
